istgt(1)

NAME
istgt - iSCSI target

SYNOPSIS
istgt [options]

DESCRIPTION
istgt is an iSCSI target for FreeBSD 7.1 or later. It is designed for multipath failover cluster nodes. Also useful for virtual machine such as Hyper-V, ESXi.

OPTIONS

-c config
    Use specified file as configuration file. Multiple instance of istgt is allowed for different IP/ports.

-p pidfile
    Use specified file for writing PID of daemon. Also it can be specified in configuration file. This option overwrites by setting of configuration file.

-l facility
    Use specific syslog facility.

-m mode
    Use specified operational mode. 0 = traditional (similar to 20100707), 1 = normal (default), 2 = experimental (new feature mode).

-t flag
    Print trace information to standard error. trace flag (all, net, iscsi, scsi, lu, none)

-q  Use quiet mode. The warning message is omitted.

-D  The istgt will not detach from tty and run as foreground. It requires to print tarce information.

-H  Show usage

-V  Show version

FILES
/etc/istgt/istgt.conf
    Configuration file
/etc/istgt/auth.conf
    Authentication information file
/var/run/istgt.pid
    PID of daemon

AUTHORS
Daisuke Aoyama <aoyama@peach.ne.jp>